SDL Library Documentation
Prev |  | Next

# SDL_DisplayYUVOverlay

## Name

SDL_DisplayYUVOverlay -- Blit the overlay to the display

## Synopsis

    #include "SDL.h"

``int SDL_DisplayYUVOverlay`(SDL_Overlay *overlay, SDL_Rect *dstrect);`

## Description

Blit the `overlay` to the surface specified when it was created. The SDL_Rect structure, `dstrect`, specifies the position and size of the destination. If the `dstrect` is a larger or smaller than the overlay then the overlay will be scaled, this is optimized for 2x scaling.

## Return Values

Returns 0 on success

## See Also

SDL_Overlay, `SDL_CreateYUVOverlay`

Prev | Home | Next
SDL_UnlockYUVOverlay | Up | SDL_FreeYUVOverlay